.\" $Id$
.\"
.\"
.\" Copyright 1997 Richard P. Cornwell All Rights Reserved,
.\"
.\" The software is provided "as is", without warranty of any kind, express
.\" or implied, including but not limited to the warranties of
.\" merchantability, fitness for a particular purpose and non-infringement.
.\" In no event shall Richard Cornwell be liable for any claim, damages
.\" or other liability, whether in an action of contract, tort or otherwise,
.\" arising from, out of or in connection with the software or the use or other
.\" dealings in the software.
.\"
.\" Permission to use, copy, and distribute this software and its
.\" documentation for non commercial use is hereby granted,
.\" provided that the above copyright notice appear in all copies and that
.\" both that copyright notice and this permission notice appear in
.\" supporting documentation.
.\"
.\" The sale, resale, or use of this library for profit without the
.\" express written consent of the author Richard Cornwell is forbidden.
.\" Please see attached License file for information about using this
.\" library in commercial applications, or for commercial software distribution.
.\"
.TH Frame 3Xpw "2 October 97"
.UC 4
.SH NAME
Frame\- Widget Class.
.SH SYNOPSIS
.TA 2.0i 
.ta 2.0i
.LP
Class name:     FrameWidget
.br
Class pointer:  frameWidgetClass
.br
Class hierarchy:        frameWidgetClass \(-> CompositeWidgetClass \(-> Core
.P
.nf
.B #include <X11/Xpw/Frame.h>
.LP
.B frameWidget = XtCreateWidget( \(lqframe\(rq, frameWidgetClass, ...)
.LP
.fi
.SH DESCRIPTION
.LP
The \fIFrameWidget\fR draws a 3D frame around it's child and displays a label
with a additional 3D outline around that. It is used to group collections of
related widgets inside a common group.
.SH RESOURCES
.TA 2.0i 3.5i 4.0i
.ta 2.0i 3.5i 4.0i 
.P
.BI labelOnTop	Boolean	True
.P
Display the label on top of the child, otherwise display it on the bottom.
.P
.BI outline	Booleen	True
.P
Draw an additional outline around the child.
.P
.BI outlineType	FrameType	Groove
.P
Type of frame to show for outline.
.P
.BI outlineRaised	Boolean	False
.P
Sets wether the outline is raised or not.
.P
.BI frameWidth	Dimension	10
.P
How wide of a border do we leave between edge and child.
.P
.BI usePreferedSize	Boolean	False
.P
If set true and child is smaller then label child will not be expanded to 
size of label.
.P
.BI international	Boolean	False
.P
If set use fontset. Otherwise use font.
.P
.BI font	XFontStruct	XtDefaultFont
.br
.BI fontSet	XFontSet	XtDefaultFontSet
.P
.BI foreground	Pixel	XtDefaultForeground
.P
Color to display label in.
.P
.BI label	String	Name\ of\ widget
.P
Text to display.
.P
.BI justify	XtJustify	Left
.P
How to justify the label. Values are Right, Center, Left.
.P
.BI bitmap	Pixmap	None
.P
If set displayed in place of label string.
.P
.BI leftBitmap	Pixmap	None
.P
If set displayed to the left of label string.
.P
.BI rightBitmap	Pixmap	None
.P
If set displayed to the right of label string.
.P
.BI leftMargin	Dimension	4
.P
How much space to indent label or bitmap from left edge.
.P
.BI rightMargin	Dimension	4
.P
How much space to indent label or bitmap from right edge.
.P
.BI vertSpace	int	25
.P
Percent to grow height over label height.
.P
.BI raised	Boolean	True
.P
Default direction for shadows.
.P
.BI frameType	FrameType	XfBeveled
.P
Controls the style of the outline around the window. Styles are:
Beveled, Grooved, Edge, Outline, None.
.P
.BI topShadowPixel	Pixel	XtDefaultForeground 
.br
.BI botShadowPixel	Pixel	XtDefaultForeground 
.P
Color to use for the top and bottom shadows.
.P
.BI topShadowPixmap	Pixmap	Null 
.br
.BI botShadowPixmap	Pixmap	Null 
.P
Pixmap to us to shadow, overides \fItopShadowPixel\fR and \fIbotShadowPixel\fR.
.P
.BI topShadowContrast	Int	20 
.br
.BI botShadowContrast	Int	40 
.P
Darken the background color by this amount for shadow color.
.P
.BI shadowWidth	Dimension	2
.P
How many pixels to make shadows.
.P
.BI beNiceToColorMap	Boolean	True
.P
Use a stipple mask rather then allocating seperate colors for shadows.
.P
.SH "CALLBACK DATA"
.P
None
.P
.SH "CONVENIENCE ROUTINES"
.P
.SH AUTHOR
Richard Cornwell
