.\" $Id$
.\"
.\"
.\" Copyright 1997 Richard P. Cornwell All Rights Reserved,
.\"
.\" The software is provided "as is", without warranty of any kind, express
.\" or implied, including but not limited to the warranties of
.\" merchantability, fitness for a particular purpose and non-infringement.
.\" In no event shall Richard Cornwell be liable for any claim, damages
.\" or other liability, whether in an action of contract, tort or otherwise,
.\" arising from, out of or in connection with the software or the use or other
.\" dealings in the software.
.\"
.\" Permission to use, copy, and distribute this software and its
.\" documentation for non commercial use is hereby granted,
.\" provided that the above copyright notice appear in all copies and that
.\" both that copyright notice and this permission notice appear in
.\" supporting documentation.
.\"
.\" The sale, resale, or use of this library for profit without the
.\" express written consent of the author Richard Cornwell is forbidden.
.\" Please see attached License file for information about using this
.\" library in commercial applications, or for commercial software distribution.
.\"
.TH Percent 3Xpw "2 October 97"
.UC 4
.SH NAME
Percent\- Widget Class.
.SH SYNOPSIS
.TA 2.0i 
.ta 2.0i
.LP
Class name:     PercentWidget
.br
Class pointer:  percentWidgetClass
.br
Class hierarchy:        percentWidgetClass \(-> Core
.P
.nf
.B #include <X11/Xpw/Percent.h>
.LP
.B percentWidget = XtCreateWidget( \(lqpercent\(rq, percentWidgetClass, ...)
.LP
.fi
.SH DESCRIPTION
.LP
The \fIPercentWidget\fR draws a percent complete bar with optional numeric
status.
.SH RESOURCES
.TA 2.0i 3.5i 4.0i
.ta 2.0i 3.5i 4.0i 
.P
.BI clue	String	NULL
.P
If set to a none empty string, will cause a popop window with string contents
to be displayed if the mouse stays in the percent window for more than the
Clue timeout value.
.P
.BI showValue	Boolean	True
.P
Show numeric percent complete label.
.P
.BI thumb	Pixel	XtDefaultForeground
.P
Color to draw status bar in.
.P
.BI thickness	Int	14
.P
How wide to make display.
.P
.BI min	Int	0
.P
Minium value to display.
.P
.BI max	Int	100
.P
Maximum value to display.
.P
.BI positions	Int	0
.P
Current location between min and max.
.P
.BI orientation	Orientation	vertical
.P
Direction to display perentage.
.P
.BI international	Boolean	False
.P
If set use fontset. Otherwise use font.
.P
.BI font	XFontStruct	XtDefaultFont
.br
.BI fontSet	XFontSet	XtDefaultFontSet
.P
Font to draw status in.
.P
.BI foreground	Pixel	XtDefaultForeground
.P
Color to display label in.
.P
.BI justify	XtJustify	Left
.P
How to justify the label. Values are Right, Center, Left.
.P
.BI vertSpace	int	25
.P
Percent to grow height over label height.
.P
.BI raised	Boolean	True
.P
Default direction for shadows.
.P
.BI frameType	FrameType	XfBeveled
.P
Controls the style of the outline around the window. Styles are:
Beveled, Grooved, Edge, Outline, None.
.P
.BI topShadowPixel	Pixel	XtDefaultForeground 
.br
.BI botShadowPixel	Pixel	XtDefaultForeground 
.P
Color to use for the top and bottom shadows.
.P
.BI topShadowPixmap	Pixmap	Null 
.br
.BI botShadowPixmap	Pixmap	Null 
.P
Pixmap to us to shadow, overides \fItopShadowPixel\fR and \fIbotShadowPixel\fR.
.P
.BI topShadowContrast	Int	20 
.br
.BI botShadowContrast	Int	40 
.P
Darken the background color by this amount for shadow color.
.P
.BI shadowWidth	Dimension	2
.P
How many pixels to make shadows.
.P
.BI beNiceToColorMap	Boolean	True
.P
Use a stipple mask rather then allocating seperate colors for shadows.
.P
.SH "CALLBACK DATA"
.P
None
.P
.SH "CONVENIENCE ROUTINES"
.P
\fBXpwPercentSetMinMax\fR Sets the min and max value of the slider.
.P
.nf
void XpwPercentSetMinMax(Widget w, int min, int max);
.fi
.P
\fBXpwPercentSetPosition\fR Sets the slider to pos.
.P
.nf
void XpwPercentSetPosition(Widget w, int pos);
.fi
.P
\fBXpwPercentSetState\fR When set off widget just displays background with
no 3D hightlighting.
.P
.nf
void XpwPercentSetState(Widget w, Boolean state);
.fi
.P
.SH AUTHOR
Richard Cornwell
