.\" $Id$
.\"
.\"
.\" Copyright 1997 Richard P. Cornwell All Rights Reserved,
.\"
.\" The software is provided "as is", without warranty of any kind, express
.\" or implied, including but not limited to the warranties of
.\" merchantability, fitness for a particular purpose and non-infringement.
.\" In no event shall Richard Cornwell be liable for any claim, damages
.\" or other liability, whether in an action of contract, tort or otherwise,
.\" arising from, out of or in connection with the software or the use or other
.\" dealings in the software.
.\"
.\" Permission to use, copy, and distribute this software and its
.\" documentation for non commercial use is hereby granted,
.\" provided that the above copyright notice appear in all copies and that
.\" both that copyright notice and this permission notice appear in
.\" supporting documentation.
.\"
.\" The sale, resale, or use of this library for profit without the
.\" express written consent of the author Richard Cornwell is forbidden.
.\" Please see attached License file for information about using this
.\" library in commercial applications, or for commercial software distribution.
.\"
.TH PopupMenu 3Xpw "2 October 97"
.UC 4
.SH NAME
PopupMenu\- Widget Class.
.SH SYNOPSIS
.nf
.B #include <X11/Xpw/PopupMenu.h>
.LP
.B popupmenuWidget = XtCreateWidget( \(lqpopupmenu\(rq, popupmenuWidgetClass, ...)
.LP
.fi
.SH DESCRIPTION
.LP
The \fIPopupMenuWidget\fR handles popupmenus. Parented by one of the menu
widgets it manages its children of PmeEntry, PmeLine and PmeSelect widgest.
Provided geometry and 3D highlighting for them. It also recognizes when a
child has a cascaded menu and handles that.
.SH RESOURCES
.TA 2.0i 3.5i 4.0i
.ta 2.0i 3.5i 4.0i 
.P
.BI label	String	NULL
.P
Label to display at top of menu. A null seting means no label at top.
.P
.BI labelClass	Widget	NULL
.P
Class of top label. Defaults to pmeEntryWidgetClass.
.P
.BI rowHeight	Dimension	0
.P
Height of each child, if 0 ask child for desired height.
.P
.BI columnWidth	Dimension	0
.P
.P
.BI topMargin	Dimension	0
.P
How much space to leave blank between top and first child.
.P
.BI bottomMargin	Dimension	0
.P
How much space to leave blank between bottom and last child.
.P
.BI allowShellResize	Boolean	True
.P
Ask parent to resize on every change. Otherwise use current values.
.P
.BI cursor	Cursor	None
.P
Cursor to display while showing menu.
.P
.BI menuOnScreen	Boolean	True
.P
Make sure menu is always fully visable.
.P
.BI popupOnEntry	Widget	NULL
.P
Position the menu over widget on popup.
.P
.BI backingStore	BackingStore	Always+WhenMapped+Notused
.P
Controls the setting of window backing store.
.P
.BI raised	Boolean	True
.P
Default direction for shadows.
.P
.BI frameType	FrameType	XfBeveled
.P
Controls the style of the outline around the window. Styles are:
Beveled, Grooved, Edge, Outline, None.
.P
.BI topShadowPixel	Pixel	XtDefaultForeground 
.br
.BI botShadowPixel	Pixel	XtDefaultForeground 
.P
Color to use for the top and bottom shadows.
.P
.BI topShadowPixmap	Pixmap	Null 
.br
.BI botShadowPixmap	Pixmap	Null 
.P
Pixmap to us to shadow, overides \fItopShadowPixel\fR and \fIbotShadowPixel\fR.
.P
.BI topShadowContrast	Int	20 
.br
.BI botShadowContrast	Int	40 
.P
Darken the background color by this amount for shadow color.
.P
.BI shadowWidth	Dimension	2
.P
How many pixels to make shadows.
.P
.BI beNiceToColorMap	Boolean	True
.P
Use a stipple mask rather then allocating seperate colors for shadows.
.P
.SH "CALLBACK DATA"
.P
None
.P
.SH "CONVENIENCE ROUTINES"
.P
.SH AUTHOR
Richard Cornwell
