.\" $Id$
.\"
.\"
.\" Copyright 1997 Richard P. Cornwell All Rights Reserved,
.\"
.\" The software is provided "as is", without warranty of any kind, express
.\" or implied, including but not limited to the warranties of
.\" merchantability, fitness for a particular purpose and non-infringement.
.\" In no event shall Richard Cornwell be liable for any claim, damages
.\" or other liability, whether in an action of contract, tort or otherwise,
.\" arising from, out of or in connection with the software or the use or other
.\" dealings in the software.
.\"
.\" Permission to use, copy, and distribute this software and its
.\" documentation for non commercial use is hereby granted,
.\" provided that the above copyright notice appear in all copies and that
.\" both that copyright notice and this permission notice appear in
.\" supporting documentation.
.\"
.\" The sale, resale, or use of this library for profit without the
.\" express written consent of the author Richard Cornwell is forbidden.
.\" Please see attached License file for information about using this
.\" library in commercial applications, or for commercial software distribution.
.\"
.TH Slider 3Xpw "2 October 97"
.UC 4
.SH NAME
Slider\- Widget Class.
.SH SYNOPSIS
.nf
.B #include <X11/Xpw/Slider.h>
.LP
.B sliderWidget = XtCreateWidget( \(lqslider\(rq, sliderWidgetClass, ...)
.LP
.fi
.SH DESCRIPTION
.LP
The \fISliderWidget\fR draws a slide control. Unlike the \fIScrollerWidget\fR,
the \fISliderWidget\fR does not change the side of it's thumb or provide
arrows. All mouse events track mouse.
.SH RESOURCES
.TA 2.0i 3.5i 4.0i
.ta 2.0i 3.5i 4.0i 
.P
.BI clue	String	NULL
.P
If set to a none empty string, will cause a popop window with string contents
to be displayed if the mouse stays in the slider window for more than the
Clue timeout value.
.P
.BI callback	Callback	NULL
.P
Called for any change in pointer position.
.P
.BI foreground	Pixel	XtDefaultForeground
.P
Color to display slider in.
.P
.BI thumb	Pixel	XtDefaultForeground
.P
Color to draw thumb in.
.P
.BI thickness	Int	14
.P
How wide to make display.
.P
.BI min	Int	0
.P
Minimum value of data.
.P
.BI max	Int	100
.P
Maximum value of data.
.P
.BI position	Int	0
.P
Current value of data.
.P
.BI orientation	Orientation	vertical
.P
Orientation of widget.
.P
Passed to arrows to indicate how fast to repeat scroll after delay.
.P
.BI raised	Boolean	True
.P
Default direction for shadows.
.P
.BI frameType	FrameType	XfBeveled
.P
Controls the style of the outline around the window. Styles are:
Beveled, Grooved, Edge, Outline, None.
.P
.BI topShadowPixel	Pixel	XtDefaultForeground 
.br
.BI botShadowPixel	Pixel	XtDefaultForeground 
.P
Color to use for the top and bottom shadows.
.P
.BI topShadowPixmap	Pixmap	Null 
.br
.BI botShadowPixmap	Pixmap	Null 
.P
Pixmap to us to shadow, overides \fItopShadowPixel\fR and \fIbotShadowPixel\fR.
.P
.BI topShadowContrast	Int	20 
.br
.BI botShadowContrast	Int	40 
.P
Darken the background color by this amount for shadow color.
.P
.BI shadowWidth	Dimension	2
.P
How many pixels to make shadows.
.P
.BI beNiceToColorMap	Boolean	True
.P
Use a stipple mask rather then allocating seperate colors for shadows.
.P
.SH "CALLBACK DATA"
.P
None
.P
.SH "CONVENIENCE ROUTINES"
.P
.SH AUTHOR
Richard Cornwell
